## ros-humble-rmf-battery 0.1.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(rmf_battery VERSION 0.1.4)

set(CMAKE_EXPORT_COMPILE_COMMANDS on)

# Default to C++17
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 17)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

if(NOT CMAKE_BUILD_TYPE)
  # Use the Release build type by default if the user has not specified one
  set(CMAKE_BUILD_TYPE Release)
endif()

# set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fsanitize=address")
# set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -fsanitize=address")

include(GNUInstallDirs)

# find dependencies
find_package(rmf_utils REQUIRED)
find_package(rmf_traffic REQUIRED)
find_package(eigen3_cmake_module QUIET)
find_package(Eigen3 REQUIRED)
find_package(ament_cmake_catch2 QUIET)
find_package(ament_cmake_uncrustify QUIET)

# ===== Battery modelling library
file(GLOB_RECURSE core_lib_srcs "src/rmf_battery/*.cpp")
add_library(rmf_battery SHARED
  ${core_lib_srcs}
)

target_link_libraries(rmf_battery
  PUBLIC
    rmf_utils::rmf_utils
    rmf_traffic::rmf_traffic
)

target_include_directories(rmf_battery
  PUBLIC
    $<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
    ${Eigen3_INCLUDE_DIRS}
)

if(BUILD_TESTING AND ament_cmake_catch2_FOUND AND ament_cmake_uncrustify_FOUND)

  file(GLOB_RECURSE unit_test_srcs "test/*.cpp")

  ament_add_catch2(
    test_rmf_battery test/main.cpp ${unit_test_srcs}
    TIMEOUT 300)
  target_link_libraries(test_rmf_battery
      rmf_battery
  )

  target_include_directories(test_rmf_battery
    PRIVATE
      $<BUILD_INTERFACE:${CMAKE_CURRENT_LIST_DIR}/>
  )

  find_file(uncrustify_config_file
    NAMES "rmf_code_style.cfg"
    PATHS "${rmf_utils_DIR}/../../../share/rmf_utils/")

  ament_uncrustify(
    ARGN include src test
    CONFIG_FILE ${uncrustify_config_file}
    MAX_LINE_LENGTH 80
  )
endif()

# Create cmake config files
include(CMakePackageConfigHelpers)

set(INSTALL_CONFIG_DIR "${CMAKE_INSTALL_LIBDIR}/rmf_battery/cmake")
set(PACKAGE_CONFIG_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/rmf_battery-config-version.cmake")
set(PACKAGE_CONFIG_FILE "${CMAKE_CURRENT_BINARY_DIR}/rmf_battery-config.cmake")

configure_package_config_file(
  "${CMAKE_CURRENT_LIST_DIR}/cmake/rmf_battery-config.cmake.in"
  ${PACKAGE_CONFIG_FILE}
  INSTALL_DESTINATION ${INSTALL_CONFIG_DIR}
)

write_basic_package_version_file(
  ${PACKAGE_CONFIG_VERSION_FILE}
  COMPATIBILITY ExactVersion
)

install(
  TARGETS rmf_battery
  EXPORT  rmf_battery-targets
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

install(
  DIRECTORY include/
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
)

install(
  TARGETS rmf_battery
  EXPORT  rmf_battery
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
  LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
  ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

install(
  FILES
    ${PACKAGE_CONFIG_VERSION_FILE}
    ${PACKAGE_CONFIG_FILE}
  DESTINATION ${INSTALL_CONFIG_DIR}
)

install(
  EXPORT rmf_battery-targets
  FILE rmf_battery-targets.cmake
  NAMESPACE rmf_battery::
  DESTINATION ${INSTALL_CONFIG_DIR}
)

export(
  EXPORT rmf_battery-targets
  FILE ${CMAKE_CURRENT_BINARY_DIR}/rmf_battery-targets.cmake
  NAMESPACE rmf_battery::
)

# Export ament index path
file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/share/ament_index/resource_index/packages/${PROJECT_NAME} "")
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/share/ament_index/resource_index/packages/${PROJECT_NAME} DESTINATION share/ament_index/resource_index/packages)

file(WRITE ${CMAKE_CURRENT_BINARY_DIR}/share/${PROJECT_NAME}/hook/ament_prefix_path.dsv "prepend-non-duplicate;AMENT_PREFIX_PATH;")
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/share/${PROJECT_NAME}/hook/ament_prefix_path.dsv DESTINATION share/${PROJECT_NAME}/hook)

=== debian/changelog ===
ros-humble-rmf-battery (0.1.5-1jammy) jammy; urgency=high



 -- Yadunund <yadunund@openrobotics.org>  Wed, 31 May 2023 16:00:00 -0000

ros-humble-rmf-battery (0.1.4-1jammy) jammy; urgency=high

  * Port changes from main into rolling (#34 <https://github.com/open-rmf/rmf_battery/pull/34>)
  * Reusable ci (#28 <https://github.com/open-rmf/rmf_battery/pull/28>)
  * Add buildtool_depend on cmake (#31 <https://github.com/open-rmf/rmf_battery/pull/31>)
  * Add back missing ament index path exporting in CMakeLists (#33 <https://github.com/open-rmf/rmf_battery/pull/33>)
  * Contributors: Chen Bainian, Esteban Martinena Guerrero, Scott K Logan, Yadunund

 -- Yadunund <yadunund@openrobotics.org>  Fri, 14 Apr 2023 16:00:00 -0000

ros-humble-rmf-battery (0.1.3-1jammy) jammy; urgency=high

  * Use ament_cmake_uncrustify (#20 <https://github.com/open-rmf/rmf_battery/pull/2>)
  * Prepend package path to AMENT_PREFIX_PATH (#22 <https://github.com/open-rmf/rmf_battery/pull/2>)

 -- yadu <yadunund@openrobotics.org>  Sun, 13 Feb 2022 16:00:00 -0000

ros-humble-rmf-battery (0.1.2-1jammy) jammy; urgency=high

  * Using eigen3_cmake_module to fix RHEL build (#16 <https://github.com/open-rmf/rmf_battery/commit/7e1a4e73135963df2542e40913aa50ae79266fb>)

 -- Yadunund <yadunund@openrobotics.org>  Tue, 26 Oct 2021 16:00:00 -0000

ros-humble-rmf-battery (0.1.1-1jammy) jammy; urgency=high

  * Making package ament agnostic

 -- Yadunund <yadunund@openrobotics.org>  Tue, 07 Sep 2021 16:00:00 -0000

ros-humble-rmf-battery (0.1.0-1jammy) jammy; urgency=high

  * Provides core rmf_battery::agv utilities
    
    BatterySystem - Describe battery properties of the vehicle
    
    MechanicalSystem - Describe mechanical properties of the vehicle
    
    PowerSystem - Describe a power system on-board the vehicle
  * Provides rmf_battery::agv::SimpleMotionPowerSink
    
    Sample implementation of rmf_battery::MotionPowerSink
    
    Compute change in battery charge due to locomotion over a specified rmf_traffic::Trajectory
  * Provides rmf_traffic::agv::SimpleDevicePowerSink
    
    Sample implementation of rmf_battery::DevicePowerSink
    
    Compute change in battery charge due to power systems over a specified duration
  * Contributors: Yadunund

 -- Yadunund <yadunund@openrobotics.org>  Tue, 01 Jun 2021 16:00:00 -0000

=== debian/control ===
Source: ros-humble-rmf-battery
Section: misc
Priority: optional
Maintainer: Yadunund <yadunund@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), cmake, libeigen3-dev, ros-humble-ament-cmake-catch2 <!nocheck>, ros-humble-ament-cmake-uncrustify <!nocheck>, ros-humble-eigen3-cmake-module, ros-humble-rmf-traffic, ros-humble-rmf-utils, ros-humble-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-humble-rmf-battery
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-rmf-traffic, ros-humble-rmf-utils, ros-humble-ros-workspace
Description: Package for modelling battery life of robots

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

# Solve shlibdeps errors in REP136 packages that use GNUInstallDirs:
export DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-rmf-battery//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-rmf-battery//opt/ros/humble/lib/${DEB_HOST_MULTIARCH}

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
